Subject: Re: bug#11251: Use -Wl, -rpath instead of -R on GNU/Linux with GCC 4.6

From: Glenn Morris <[email-masked]>
Date: Mon, 16 Apr 2012 12:31:11 -0400

Chong Yidong wrote:

> (BTW, maybe we don't need to AC_SUBST the LD_SWITCH_X_SITE_AUX and
> LD_SWITCH_X_SITE_AUX_RPATH variables; they don't seem to be used
> anywhere outside of configure.)

Yes they are. Eg

case "$opsys" in
  netbsd|openbsd)
   LD_SWITCH_SYSTEM="\$(LD_SWITCH_X_SITE_AUX_RPATH) $LD_SWITCH_SYSTEM"
  ;;
esac

Note escaped \$, so these references appear in the Makefile unexpanded.